<?php
/**
 * @file
 * popsu_actualites.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function popsu_actualites_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "boxes" && $api == "box") {
    return array("version" => "1");
  }
  if ($module == "context" && $api == "context") {
    return array("version" => "3");
  }
  if ($module == "field_group" && $api == "field_group") {
    return array("version" => "1");
  }
  if ($module == "page_manager" && $api == "pages_default") {
    return array("version" => "1");
  }
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function popsu_actualites_views_api($module = NULL, $api = NULL) {
  return array("api" => "3.0");
}

/**
 * Implements hook_image_default_styles().
 */
function popsu_actualites_image_default_styles() {
  $styles = array();

  // Exported image style: popsu-actu-home.
  $styles['popsu-actu-home'] = array(
    'label' => 'popsu-actu-home',
    'effects' => array(
      15 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 206,
          'height' => 156,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: popsu-actu-listing.
  $styles['popsu-actu-listing'] = array(
    'label' => 'popsu-actu-listing',
    'effects' => array(
      16 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 220,
          'height' => 168,
        ),
        'weight' => 1,
      ),
    ),
  );

  return $styles;
}

/**
 * Implements hook_node_info().
 */
function popsu_actualites_node_info() {
  $items = array(
    'popsu_actu' => array(
      'name' => t('Actualités'),
      'base' => 'node_content',
      'description' => t('Ce type de contenu permet de créer des actualités sur la page d\'accueil du site.'),
      'has_title' => '1',
      'title_label' => t('Titre de l\'actualité'),
      'help' => '',
    ),
  );
  drupal_alter('node_info', $items);
  return $items;
}
